Subject: bug#67334: diffoscope: missing/undetected dependencies?

From: Christopher Howard <[email-masked]>
Date: Tue, 21 Nov 2023 08:21:14 -0900

Hi, recently I tried to use diffoscope to compare to PDFs. I got these errors:

│┄ xxd not available in path. Falling back to Python hexlify.
│┄ 'pdftotext' not available in path. Falling back to binary comparison.

I found that if I installed packages `xxd' and `xpdf' into my environment, the errors go away and I can compare line-by-line as expected.

Here is my system information:

```
Generation 53	Nov 06 2023 09:39:57	(current)
  guix 3f83dc5
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 3f83dc5587573f173b1f61864c9b510f05de84b1
```

```
christopher@theoden 
------------------- 
OS: Guix System x86_64 
Host: OptiPlex 9020 00 
Kernel: 5.15.137-gnu 
Uptime: 19 hours, 34 mins 
Packages: 99 (guix-system), 214 (guix-user) 
Shell: bash 5.1.16 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: shepherd 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
GPU: Intel HD Graphics 
Memory: 4145MiB / 7867MiB 
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ